SDL_SetGPUSwapchainParameters(3)

NAME
SDL_SetGPUSwapchainParameters - Changes the swapchain parameters for the given claimed window.

SYNOPSIS
#include <SDL3/SDL_gpu.h>

bool SDL_SetGPUSwapchainParameters(
    SDL_GPUDevice *device,
    SDL_Window *window,
    SDL_GPUSwapchainComposition swapchain_composition,
    SDL_GPUPresentMode present_mode);

DESCRIPTION
This function will fail if the requested present mode or swapchain composition are unsupported by the device. Check if the parameters are supported via SDL_WindowSupportsGPUPresentMode / SDL_WindowSupportsGPUSwapchainComposition prior to calling this function.

SDL_GPU_PRESENTMODE_VSYNC with SDL_GPU_SWAPCHAINCOMPOSITION_SDR is always supported.

FUNCTION PARAMETERS

device
    a GPU context.

window
    an SDL_Window that has been claimed.

swapchain_composition
    the desired composition of the swapchain.

present_mode
    the desired present mode for the swapchain.

RETURN VALUE
Returns true if successful, false on error; call SDL_GetError() for more information.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_WindowSupportsGPUPresentMode(3), SDL_WindowSupportsGPUSwapchainComposition(3)